Bug 461854 - brp-java-repack-jars cannot handle filenames with spaces
brp-java-repack-jars cannot handle filenames with spaces
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: redhat-rpm-config (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jon Masters
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-10 18:37 EDT by Orion Poplawski
Modified: 2009-08-12 13:47 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-12 13:47:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to fix brp-java-repack-jars (1.25 KB, patch)
2008-09-10 18:37 EDT, Orion Poplawski
no flags Details | Diff
patch to brp-java-repack-jars (1.07 KB, patch)
2009-04-20 12:02 EDT, Orion Poplawski
no flags Details | Diff

  None (edit)
Description Orion Poplawski 2008-09-10 18:37:00 EDT
Created attachment 316365 [details]
Patch to fix brp-java-repack-jars

Description of problem:

brp-java-repack-jars cannot handle filenames with spaces.  The attached patch (for the rawhide version) should fix.  Would be nice to set it pushed to F-9 and F-8 as well.

See also bug #243157 for RHEL.

Version-Release number of selected component (if applicable):
redhat-rpm-config-9.0.2-1.fc9.noarch
Comment 1 Mat Booth 2009-04-18 16:32:11 EDT
Just stumbled into this bug doing a rawhide scratch build.

Presumably, the files whose names contain spaces will not make it into the repacked jar. From the build log:

+ /usr/lib/rpm/redhat/brp-java-repack-jars
cp: cannot stat `./references/overview/The': No such file or directory
cp: cannot stat `EMF': No such file or directory
cp: cannot stat `Edit': No such file or directory
cp: cannot stat `Framework': No such file or directory
cp: cannot stat `Overview_040301.doc': No such file or directory
cp: cannot stat `./references/overview/The': No such file or directory
cp: cannot stat `Eclipse': No such file or directory
cp: cannot stat `Modeling': No such file or directory
cp: cannot stat `Framework': No such file or directory
cp: cannot stat `Overview_040301.doc': No such file or directory
Comment 2 Mat Booth 2009-04-18 16:39:39 EDT
(In reply to comment #1)
> Just stumbled into this bug doing a rawhide scratch build.
> 
> Presumably, the files whose names contain spaces will not make it into the
> repacked jar. From the build log:
> 
> + /usr/lib/rpm/redhat/brp-java-repack-jars
> cp: cannot stat `./references/overview/The': No such file or directory
> cp: cannot stat `EMF': No such file or directory
> cp: cannot stat `Edit': No such file or directory
> cp: cannot stat `Framework': No such file or directory
> cp: cannot stat `Overview_040301.doc': No such file or directory
> cp: cannot stat `./references/overview/The': No such file or directory
> cp: cannot stat `Eclipse': No such file or directory
> cp: cannot stat `Modeling': No such file or directory
> cp: cannot stat `Framework': No such file or directory
> cp: cannot stat `Overview_040301.doc': No such file or directory  


Worse, it results in a zero byte file being created called "./references/overview/The"
Comment 3 Orion Poplawski 2009-04-20 12:02:38 EDT
Created attachment 340370 [details]
patch to brp-java-repack-jars

I think this should handle spaces better.
Comment 4 Bug Zapper 2009-06-09 05:43:27 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Mat Booth 2009-07-01 18:18:14 EDT
Stumbled over this again during my periodic packaging activities...

Ping! Is there anybody out there?
Comment 6 Adam Jackson 2009-08-12 13:47:38 EDT
Fixed in rawhide.

Note You need to log in before you can comment on or make changes to this bug.